=== debian/changelog ===
dde-calendar (6.5.24) unstable; urgency=medium

  * chore: Update version to 6.5.24
  * fix: Fix title bar icon not sync with system theme
  * fix: Prevent duplicate schedule type creation
  * fix: Implement community edition detection and update privacy URL logic

 -- re2zero <yangwu@uniontech.com>  Fri, 10 Oct 2025 11:29:06 +0800

dde-calendar (6.5.23) unstable; urgency=medium

  * chore: Update version to 6.5.23
  * fix: Fix twinkling issues.
  * fix: Adjust sidebar icon size and set text format for title label.

 -- re2zero <yangwu@uniontech.com>  Thu, 25 Sep 2025 16:37:55 +0800

dde-calendar (6.5.22) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 13:21:08 +0800

dde-calendar (6.5.21) unstable; urgency=medium

  * chore: Update version to 6.5.21
  * fix some ui issues.

 -- re2zero <yangwu@uniontech.com>  Thu, 11 Sep 2025 14:13:40 +0800

dde-calendar (6.5.20) unstable; urgency=medium

  * chore: Update version to 6.5.17

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 14 Aug 2025 09:27:48 +0800

dde-calendar (6.5.19) unstable; urgency=medium

  * Update version to 6.5.19. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 13 Aug 2025 10:34:27 +0800

dde-calendar (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 18:35:15 +0800

dde-calendar (6.5.17) unstable; urgency=medium

  * chore: Update version to 6.5.17
  * fix: Update control center page and item height adjustments

 -- re2zero <yangwu@uniontech.com>  Thu, 31 Jul 2025 14:01:35 +0800
