=== debian/control ===
Source: dde-calendar
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (=11),
 cmake,
 pkg-config,
# deepin
 deepin-gettext-tools,
 libdtk6gui-dev,
 libdtk6widget-dev,
# qt
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-svg-dev,
 libgtest-dev,
 libical-dev,
 libgcrypt20-dev
Standards-Version: 4.3.0
Homepage: http://www.deepin.org
Vcs-Git: https://github.com/linuxdeepin/dde-calendar
Rules-Requires-Root: no

Package: dde-calendar
Architecture: linux-any
Depends:
 dde-qt6integration,
 dde-api,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Calendar is a smart daily planner to schedule all things in life.
 Calendar is a small management tool for personal life that combines time 
 and events and integrates the function of memorizing and scheduling.
