=== debian/changelog ===
dde-calendar (6.5.29) unstable; urgency=medium

  * chore: Update version to 6.5.29
  * fix: revert prevent duplicate schedule type creation
  * chore: enhance logging configuration and refactor DConfig setup

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Fri, 21 Nov 2025 09:00:08 +0800

dde-calendar (6.5.28) unstable; urgency=medium

  * chore: Update version to 6.5.28
  * feat: Support mips64 linglong build (#283)
  * feat(calendar): add 2026 Chinese holiday data and download script

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 13 Nov 2025 15:30:51 +0800

dde-calendar (6.5.27) unstable; urgency=medium

  * chore: Update version to 6.5.27
  * feat: [dbus]Enhance Calendar DBus API with AI-friendly methods
  * fix: Improve account management for community edition

 -- re2zero <yangwu@uniontech.com>  Thu, 30 Oct 2025 19:21:38 +0800

dde-calendar (6.5.26) unstable; urgency=medium

  * chore: Update version to 6.5.26
  * feat: Enhance DDE Calendar configuration and logging

 -- re2zero <yangwu@uniontech.com>  Thu, 23 Oct 2025 20:11:49 +0800

dde-calendar (6.5.25) unstable; urgency=medium

  * chore: Update version to 6.5.25

 -- re2zero <yangwu@uniontech.com>  Thu, 16 Oct 2025 20:39:17 +0800
